﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FlexGridIntro.Models;
using C1.Web.Mvc;
using Newtonsoft.Json.Linq;
using C1.Web.Mvc.Serialization;

namespace FlexGridIntro.Controllers
{
    public class EmployeeModel
    {
        public int EmployeeId { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmailAddress{ get; set; }
        public string ConfirmEmail { get; set; }
    }
    public class HomeController : Controller
    {
        public static List<Person> Persons = SampleData.GetData(10).ToList();

        public ActionResult Index()
        {   
            return View(Persons);
        }

        public ActionResult ViewEmployees()
        {
            ViewBag.Message = "Employees List";

            
            List<EmployeeModel> employees = new List<EmployeeModel>();
            employees.Add(new EmployeeModel()
            {
                ConfirmEmail = "abc@gmail.com",
                EmailAddress = "abc@gmail.com",
                EmployeeId = 0,
                FirstName = "James",
                LastName = "Yang"
            });
            return View(employees);
        }
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}